OpenTTD Source: DrawTileSeqStruct Struct Reference

OpenTTD Source 15.0-beta1

Public Member Functions | Data Fields
DrawTileSeqStruct Struct Reference

A tile child sprite and palette to draw for stations etc, with 3D bounding box. More...

`#include <sprite.h>`

## Public Member Functions
void | MakeTerminator ()
| Make this struct a sequence terminator.
bool | IsTerminator () const
| Check whether this is a sequence terminator.
bool | IsParentSprite () const
| Check whether this is a parent sprite with a boundingbox.

## Data Fields
int8_t | delta_x
| `0x80` is sequence terminator
int8_t | delta_y
int8_t | delta_z
| `0x80` identifies child sprites
uint8_t | size_x
uint8_t | size_y
uint8_t | size_z
PalSpriteID | image

## Detailed Description

A tile child sprite and palette to draw for stations etc, with 3D bounding box.

Definition at line 25 of file sprite.h.

## Member Function Documentation

## ◆ IsParentSprite()

bool DrawTileSeqStruct::IsParentSprite | ( |  | ) | const
| inline

Check whether this is a parent sprite with a boundingbox.

Definition at line 47 of file sprite.h.

Referenced by DrawCommonTileSeq(), DrawCommonTileSeqInGUI(), NewGRFSpriteLayout::ProcessRegisters(), and ReadSpriteLayout().

## ◆ IsTerminator()

bool DrawTileSeqStruct::IsTerminator | ( |  | ) | const
| inline

Check whether this is a sequence terminator.

Definition at line 41 of file sprite.h.

Referenced by DrawWaterTileStruct(), and StationChangeInfo().

## ◆ MakeTerminator()

void DrawTileSeqStruct::MakeTerminator | ( |  | ) |
| inline

Make this struct a sequence terminator.

Definition at line 35 of file sprite.h.

Referenced by NewGRFSpriteLayout::Allocate(), and NewGRFSpriteLayout::PrepareLayout().

## Field Documentation

## ◆ delta_x

int8_t DrawTileSeqStruct::delta_x

`0x80` is sequence terminator

Definition at line 26 of file sprite.h.

Referenced by DrawCommonTileSeq(), DrawCommonTileSeqInGUI(), DrawWaterTileStruct(), NewGRFSpriteLayout::PrepareLayout(), NewGRFSpriteLayout::ProcessRegisters(), ReadSpriteLayout(), and StationChangeInfo().

## ◆ delta_y

int8_t DrawTileSeqStruct::delta_y

Definition at line 27 of file sprite.h.

## ◆ delta_z

int8_t DrawTileSeqStruct::delta_z

`0x80` identifies child sprites

Definition at line 28 of file sprite.h.

Referenced by DrawCommonTileSeq(), DrawCommonTileSeqInGUI(), DrawWaterTileStruct(), NewGRFSpriteLayout::PrepareLayout(), NewGRFSpriteLayout::ProcessRegisters(), ReadSpriteLayout(), and StationChangeInfo().

## ◆ image

PalSpriteID DrawTileSeqStruct::image

Definition at line 32 of file sprite.h.

## ◆ size_x

uint8_t DrawTileSeqStruct::size_x

Definition at line 29 of file sprite.h.

## ◆ size_y

uint8_t DrawTileSeqStruct::size_y

Definition at line 30 of file sprite.h.

## ◆ size_z

uint8_t DrawTileSeqStruct::size_z

Definition at line 31 of file sprite.h.

The documentation for this struct was generated from the following file:

- src/sprite.h